--[[
	News info plguin
]]--


--------------------------------------
-- Create plugin

local RW = LibStub("AceAddon-3.0"):GetAddon("Raid Watch")
local plugin = RW:Plugin("News")
if not plugin then return end

--------------------------------------
-- Locals
local L = LibStub("AceLocale-3.0"):GetLocale("RW2-Plugin-Base")
local UIF
local AceGUI
local news = {}

--------------------------------------
-- Init

function plugin:OnRegister()
	self.db = RW.db:RegisterNamespace("News", {profile={}})
end

function plugin:PluginEnable()
	UIF = LibStub("AceGUI-Factory-1.0"):GetFactory("RW")
	AceGUI = LibStub("AceGUI-3.0")
end

function plugin:PluginDisable()
end

--------------------------------------
-- Options
function plugin:GetOptions()
	return 98, L.NEWS, self.GetGUI
end

function plugin:GetGUI()
	self = self or plugin
	
	local group, label, color, check
	
	group = AceGUI:Create("ScrollFrame")
	group:SetLayout("Flow")
	
	label = UIF:MainTitleLabel(L.NEWS)
	group:AddChild(label)
	
	local igroup = UIF:InlineGroup("")
	group:AddChild(igroup)	
	
	for title, data in pairs(news) do
		local newsGroup = UIF:InlineGroup2(title)
		igroup:AddChild(newsGroup)
		
		self:GetNewsAsGUI(newsGroup, data, "")
	end
	
	return group
end

function plugin:GetNewsAsGUI(group, data, level)
	for i, subData in pairs(data) do
		if type(subData) == "table" then
			group:AddChild(UIF:NormalText(level.."* "..i))
			plugin:GetNewsAsGUI(group, subData, level.."       ")
		else
			group:AddChild(UIF:NormalText(level.."- "..subData))
		end
	end
end

news["1.23 Release 2010-03-30"] = {
	["ICC"] = {
		["Professor Putricide"] = {
			"Added heroic spell IDs for malleable goo, since it was fixed to trigger combatlog events again in heroic.",
			"Adjusted the cooldown in heroic to 20s, 25s in normal.",
			"Added a say-message when you get the Unbound Plague, will only show once per 2 seconds to avoid spam when jumping between melees.",
			"Cleaned up some stuff, removed warning when someone is targeted by the Volatile Ooze, Slime Puddle coodlown is turned of by default.",
			"Added a warning when a new Unbound Plague is cast.",
			"Fixed the phase changes. It will now show a bar saying when the next phase will start instead of just saying next phase whenever Tear Gas (or Voalatile Experiment) is cast.",
			"Arrows that show where to run during phase changes in heroic should now point to the correct ooze type.",
			"Changed the warning type on the Variables from a runaway warning to just a general warning.",

		},
		["Sindragosa"] = {
			"Added a warning that shows if someone gets more then 5 stacks. Can be used when trying to do the achievement. It is turned off by default."
		},
		["The Lich King"] = {
			"Added some heroic spell IDs, (Soul Reaper, Shambling's Enrage and more).",
			"Added a new warning for when the defile target is close instead of using the same one as if you were target. The default sound for it will be the Bell.",
			"Added the same kind of warning for shadow trap target as for defile.",
			"Changed icons for Necrotic Plague to be Star and Circle.",
			"Change icon for Trap to Skull.",
			"Added message that says who gets picked up by the Val'Kyr.",
			"Added duration timer for Frostmourn phase in heroic.",
		},
	},
	["Plugins"] = {
		["Timers"] = {
			"Disabled the announce for now, it is causing some people to instantly get booted to the login-screen. It will remain disabled untill I figured out why.",
		},
	},
}

news["1.22 Release 2010-03-02"] = {
	["ICC"] = {
		"Added options for range checks for Deathbringer Saurfang, Rotface (Heroic), Festergut, Blood Prince Council, Blood-Queen Lana'thel and Sindragosa. Check options for each boss for details.",
		["Lady Deathwhisper"] = {
			"Added spell ID for Dark Martyrdom (25 Heroic)",
		},
		["Blood-Queeen Lana'thel"] = {
			"Fixed the warning when you get bitten.",
			"Added a timer that shows roughly when the next wave of bites will start.",
		},
		["Valithria Dreamwalker"] = {
			"Added some rough timers for next wave of supressors and blazing skeletons. Using time values from bigwigs for now.",
			"Added timer for when the portals actually open up. (Only works for normal)",
		},
		["Sindragosa"] = {
			"Added a 6th raid mark for tombs, Moon. (Heroic)",
		},
	},
	["Plugins"] = {
		["BiteBuddy"] = {
			"Possibly fixed errors after wiping. It should now reset everything each time its started.",
		},
	},
	["General"] = {
		"Fixed so that the LDB-object and minimap icon actually work as the tooltip says. Left click to enable, right click for options.",
	},
}
